aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/cgi-bin
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2018-07-03 01:29:22 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2018-07-03 01:29:22 +0300
commitf71638271a197927660e955a0b53c9deff2d757d (patch)
tree089b842a7a69a12fab9123b0df0110fdf14e0763 /cgi-bin
downloadlinux-status-f71638271a197927660e955a0b53c9deff2d757d.tar.gz
linux-status-f71638271a197927660e955a0b53c9deff2d757d.zip
initial commit
Diffstat (limited to 'cgi-bin')
-rwxr-xr-xcgi-bin/hostname.sh8
-rwxr-xr-xcgi-bin/systemctl_status_system.sh8
-rwxr-xr-xcgi-bin/systemctl_status_user.sh8
-rwxr-xr-xcgi-bin/systemctl_timers_system.sh8
-rwxr-xr-xcgi-bin/systemctl_timers_user.sh8
-rwxr-xr-xcgi-bin/top.sh8
6 files changed, 48 insertions, 0 deletions
diff --git a/cgi-bin/hostname.sh b/cgi-bin/hostname.sh
new file mode 100755
index 0000000..38b7700
--- /dev/null
+++ b/cgi-bin/hostname.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+echo 'Content-Type: plain/text; charset=utf-8'
+echo
+
+hostname
diff --git a/cgi-bin/systemctl_status_system.sh b/cgi-bin/systemctl_status_system.sh
new file mode 100755
index 0000000..119b2e2
--- /dev/null
+++ b/cgi-bin/systemctl_status_system.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+echo 'Content-Type: text/plain; charset=utf-8'
+echo
+
+SYSTEMD_COLORS=no systemctl --system status --no-pager --full
diff --git a/cgi-bin/systemctl_status_user.sh b/cgi-bin/systemctl_status_user.sh
new file mode 100755
index 0000000..7ba1dd3
--- /dev/null
+++ b/cgi-bin/systemctl_status_user.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+echo 'Content-Type: text/plain; charset=utf-8'
+echo
+
+SYSTEMD_COLORS=no systemctl --user status --no-pager --full
diff --git a/cgi-bin/systemctl_timers_system.sh b/cgi-bin/systemctl_timers_system.sh
new file mode 100755
index 0000000..3c93d8b
--- /dev/null
+++ b/cgi-bin/systemctl_timers_system.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+echo 'Content-Type: text/plain; charset=utf-8'
+echo
+
+SYSTEMD_COLORS=no systemctl --system list-timers --all --no-pager --full
diff --git a/cgi-bin/systemctl_timers_user.sh b/cgi-bin/systemctl_timers_user.sh
new file mode 100755
index 0000000..c8b0a95
--- /dev/null
+++ b/cgi-bin/systemctl_timers_user.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+echo 'Content-Type: text/plain; charset=utf-8'
+echo
+
+SYSTEMD_COLORS=no systemctl --user list-timers --all --no-pager --full
diff --git a/cgi-bin/top.sh b/cgi-bin/top.sh
new file mode 100755
index 0000000..630afff
--- /dev/null
+++ b/cgi-bin/top.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+echo 'Content-Type: text/plain; charset=utf-8'
+echo
+
+top -b -n 1